/*
 *
 */
package org.gcube.portlets.widgets.wstaskexecutor.client.event;

import org.gcube.portlets.widgets.wstaskexecutor.shared.WSItem;

import com.google.gwt.event.shared.GwtEvent;



/**
 * The Class CreateTaskConfigurationEvent.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * May 9, 2018
 */
public class ShowCreateTaskConfigurationEvent extends GwtEvent<ShowCreateTaskConfigurationEventHandler> {

	/** The type. */
	public static Type<ShowCreateTaskConfigurationEventHandler> TYPE = new Type<ShowCreateTaskConfigurationEventHandler>();
	private WSItem wsItem;

	/**
	 * Instantiates a new creates the task configuration event.
	 *
	 * @param folder the folder
	 */
	public ShowCreateTaskConfigurationEvent(WSItem wsItem) {
		this.wsItem = wsItem;

	}

	/* (non-Javadoc)
	 * @see com.google.gwt.event.shared.GwtEvent#getAssociatedType()
	 */
	@Override
	public Type<ShowCreateTaskConfigurationEventHandler> getAssociatedType() {
		return TYPE;
	}

	/* (non-Javadoc)
	 * @see com.google.gwt.event.shared.GwtEvent#dispatch(com.google.gwt.event.shared.EventHandler)
	 */
	@Override
	protected void dispatch(ShowCreateTaskConfigurationEventHandler handler) {
		handler.onShowCreateConfiguration(this);
	}

	 /* Gets the folder.
	 *
	 * @return the folder
	 */
	/**
 	 * Gets the folder.
 	 *
 	 * @return the folder
 	 */
 	public WSItem getWsItem() {
		return wsItem;
	}

}
